Gtk2::CheckMenuItem(3)

NAME
Gtk2::CheckMenuItem - wrapper for GtkCheckMenuItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::CheckMenuItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gtk2::CheckMenuItem->new ($label=undef)

•   $label (string)

  widget = Gtk2::CheckMenuItem->new_with_label ($label=undef)

•   $label (string)

  widget = Gtk2::CheckMenuItem->new_with_mnemonic ($label=undef)

•   $label (string)

  boolean = $check_menu_item->get_active

  $check_menu_item->set_active ($is_active)

•   $is_active (boolean)

  boolean = $check_menu_item->get_draw_as_radio
Since: gtk+ 2.4

  $check_menu_item->set_draw_as_radio ($draw_as_radio)

•   $draw_as_radio (boolean)

Since: gtk+ 2.4

  boolean = $check_menu_item->get_inconsistent

  $check_menu_item->set_inconsistent ($setting)

•   $setting (boolean)

  $menu_item->set_show_toggle ($always)

•   $always (boolean)

  $check_menu_item->toggled

PROPERTIES

'active' (boolean : default false : readable / writable / private)
    Whether the menu item is checked

'draw-as-radio' (boolean : default false : readable / writable / private)
    Whether the menu item looks like a radio menu item

'inconsistent' (boolean : default false : readable / writable / private)
    Whether to display an "inconsistent" state

STYLE PROPERTIES

'indicator-size' (integer : default 13 : readable / private)
    Size of check or radio indicator

SIGNALS

toggled (Gtk2::CheckMenuItem)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Item, Gtk2::MenuItem

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.